Bug 18443 - Get rid of warning 'uninitialized value $user' in C4/Auth.pm
Summary: Get rid of warning 'uninitialized value $user' in C4/Auth.pm
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Marc Véron
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-18 06:39 UTC by Marc Véron
Modified: 2017-05-10 10:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18443: Get rid of warning 'uninitialized value $user' in C4/Auth.pm (1.48 KB, patch)
2017-04-18 07:27 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18443: Get rid of warning 'uninitialized value $user' in C4/Auth.pm (1.54 KB, patch)
2017-04-18 12:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18443: Get rid of warning 'uninitialized value $user' in C4/Auth.pm (1.60 KB, patch)
2017-04-18 19:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-04-18 06:39:06 UTC
plack-error.log log and/or opac-error.log complain about 'uninitialized value $user' in C4/Auth.pm line 187.
Comment 1 Marc Véron 2017-04-18 07:27:10 UTC
Created attachment 62264 [details] [review]
Bug 18443: Get rid of warning 'uninitialized value $user' in C4/Auth.pm

When logging out from OPAC, plack-error.log log and/or opac-error.log
complain about 'uninitialized value $user' in C4/Auth.pm line 187. The
warning is not necessary, this patch removes it.

To test:
- try to trigger warning
- apply patch
- verify that warning no longer occurs
- prove t/db_dependent/Auth.t
- verifiy that SCO still behaves like before (especially if
  you break out from sco path)
Comment 2 Owen Leonard 2017-04-18 12:10:43 UTC
Created attachment 62270 [details] [review]
[SIGNED-OFF] Bug 18443: Get rid of warning 'uninitialized value $user' in C4/Auth.pm

When logging out from OPAC, plack-error.log log and/or opac-error.log
complain about 'uninitialized value $user' in C4/Auth.pm line 187. The
warning is not necessary, this patch removes it.

To test:
- try to trigger warning
- apply patch
- verify that warning no longer occurs
- prove t/db_dependent/Auth.t
- verifiy that SCO still behaves like before (especially if
  you break out from sco path)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2017-04-18 19:17:37 UTC
Created attachment 62325 [details] [review]
Bug 18443: Get rid of warning 'uninitialized value $user' in C4/Auth.pm

When logging out from OPAC, plack-error.log log and/or opac-error.log
complain about 'uninitialized value $user' in C4/Auth.pm line 187. The
warning is not necessary, this patch removes it.

To test:
- try to trigger warning
- apply patch
- verify that warning no longer occurs
- prove t/db_dependent/Auth.t
- verifiy that SCO still behaves like before (especially if
  you break out from sco path)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-04-21 14:58:04 UTC
Pushed to master for 17.05, thanks Marc!
Comment 5 Katrin Fischer 2017-04-21 23:02:55 UTC
This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 6 Julian Maurice 2017-05-10 10:05:43 UTC
Pushed to 3.22.x for 3.22.21